<ion-header>
  <ion-toolbar >
    <ion-title color="light" >Inscription</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <div style="margin-top: 30%;"></div>
  <div class="padding" >
    <ion-item>
      <ion-icon class="icon" color="light" name="chevron-forward-outline"></ion-icon>
      <ion-label color="light">Prénom : </ion-label>
      <ion-input color="light" type="text" [(ngModel)]="name" placeholder="Prénom"></ion-input>
    </ion-item>

    <ion-item>
      <ion-icon class="icon" color="light" name="chevron-forward-outline"></ion-icon>
      <ion-label color="light">Nom : </ion-label>
      <ion-input color="light" type="text" [(ngModel)]="lastname" placeholder="Nom"></ion-input>
    </ion-item>

    <ion-item>
      <ion-icon class="icon" color="light" name="person-outline"></ion-icon>
      <ion-label color="light">Nom d'utilisateur : </ion-label>
      <ion-input color="light" type="text" [(ngModel)]="username" placeholder="Nom d'utilisateur"></ion-input>
    </ion-item>

    <ion-item>
      <ion-icon class="icon" color="light" name="mail-outline"></ion-icon>
      <ion-label color="light">Email : </ion-label>
      <ion-input color="light" type="mail" [(ngModel)]="mail" placeholder="Adresse email"></ion-input>
    </ion-item>

    <ion-item>
      <ion-icon color="light" name="lock-closed-outline"></ion-icon>
      <ion-label color="light">Mot de passe : </ion-label>
      <ion-input color="light" type="password" [(ngModel)]="password" placeholder="Mot de passe"></ion-input>
    </ion-item>

    <div style="margin-top: 30%;"></div>

    <ion-button (click)="auth()" class="connexion"  color="light" expand="block" shape="round" fill="outline" >Valider</ion-button>
    <ion-button (click)="quit()" color="tertiary" expand="block" shape="round">Annuler</ion-button>
    <!-- First name, Last name, username, email, password -->

    <!-- <ion-item lines="none">
      <ion-label text-center color="light">Ou connectez-vous avec</ion-label>
    </ion-item>

    <div class="flex">
      <ion-button color="facebook" shape="round">
        <ion-icon slot="start" name="logo-facebook"></ion-icon>
        Facebook
      </ion-button>

      <ion-button (click)="googleSignIn()" color="google" shape="round">
        <ion-icon slot="start" name="logo-google"></ion-icon>
        Google
      </ion-button>
    </div> -->
  </div>

</ion-content>
